## org.apache.aries.subsystem.core.internal
Class SecurityManager

    java.lang.Object
      org.apache.aries.subsystem.core.internal.SecurityManager

    public class SecurityManager

extends Object

Constructor Summary
`SecurityManager()`

Method Summary
`static void` `checkContextPermission(Subsystem subsystem)`
`static void` `checkExecutePermission(Subsystem subsystem)`
`static void` `checkLifecyclePermission(Subsystem subsystem)`
`static void` `checkMetadataPermission(Subsystem subsystem)`
`static void` `checkPermission(SubsystemPermission permission)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityManager

    public SecurityManager()

Method Detail

### checkContextPermission

    public static void checkContextPermission(Subsystem subsystem)

### checkExecutePermission

    public static void checkExecutePermission(Subsystem subsystem)

### checkLifecyclePermission

    public static void checkLifecyclePermission(Subsystem subsystem)

### checkMetadataPermission

    public static void checkMetadataPermission(Subsystem subsystem)

### checkPermission

    public static void checkPermission(SubsystemPermission permission)

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.